com.buschmais.jqassistant.plugin.m2repo.impl.scanner

## Class DefaultFileResource

- java.lang.Object
- - com.buschmais.jqassistant.plugin.m2repo.impl.scanner.DefaultFileResource

- All Implemented Interfaces:
    com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource, com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource, AutoCloseable

      public class DefaultFileResource
      extends Object
      implements com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource

  Simple FileRessource for `File`s.
  Author:
    pherklotz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileResource(File file)` Constructs a new object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `createStream()`
    `boolean` | `equals(Object obj)`
    `File` | `getFile()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFileResource

          public DefaultFileResource(File file)

      Constructs a new object.
      Parameters:
        `file` - the file

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.Resource`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### createStream

          public InputStream createStream()
                                   throws IOException

      Specified by:
        `createStream` in interface `com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getFile

          public File getFile()
                       throws IOException

      Specified by:
        `getFile` in interface `com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015 buschmais GbR. All rights reserved.